import { resolveComponent as v, openBlock as k, createBlock as C, withCtx as u, createVNode as e, createTextVNode as y } from "vue";
import { l as x, bv as w, U as B } from "./index2.js";
import { C as F } from "./index25.js";
const S = {
  name: "FormPage",
  props: {
    id: {
      type: String,
      default: ""
    }
  },
  watch: {
    id: {
      handler(f) {
        this.props.id = f || this.id;
      },
      immediate: !0
    }
  },
  data() {
    return {
      props: {
        id: ""
      },
      form: {
        name: "",
        code: ""
      },
      rules: {
        name: [{ required: !0, message: "请输入表单名称", trigger: "blur" }]
      }
    };
  },
  methods: {
    footCallback(f) {
      f === "cancel" && this.$router.go(-1);
    },
    handSubmit() {
      this.$refs.form.validate().then((f) => {
        console.log("success", f);
      }).catch((f) => {
        console.log(f);
      }), this.$refs["group-form"].validate().then((f) => {
        console.log("success", f);
      }).catch((f) => {
        console.log(f);
      });
    }
  },
  mounted() {
  }
};
function N(f, l, T, V, n, p) {
  const a = w, o = v("s-form-item"), r = v("s-collapses-item"), t = v("s-collapses"), b = v("s-form"), U = F, s = v("s-anchor"), i = v("check-outlined"), d = B, g = v("s-form-layout");
  return k(), C(g, {
    ref: "formLayout",
    title: "分组表单示例",
    subTitle: "",
    onFooterCallback: p.footCallback,
    showAnchor: ""
  }, {
    collapses: u(() => [
      e(U, { title: "分组表单" }, {
        default: u(() => [
          e(b, {
            model: n.form,
            rules: n.rules,
            ref: "group-form"
          }, {
            default: u(() => [
              e(t, { class: "collapses-wrap" }, {
                default: u(() => [
                  e(r, {
                    title: "我是分组一的标题",
                    column: "4"
                  }, {
                    default: u(() => [
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[0] || (l[0] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[1] || (l[1] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[2] || (l[2] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[3] || (l[3] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[4] || (l[4] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[5] || (l[5] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[6] || (l[6] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[7] || (l[7] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[8] || (l[8] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[9] || (l[9] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[10] || (l[10] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[11] || (l[11] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[12] || (l[12] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[13] || (l[13] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[14] || (l[14] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[15] || (l[15] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[16] || (l[16] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[17] || (l[17] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[18] || (l[18] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[19] || (l[19] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }),
                  e(r, {
                    title: "我是分组二的标题",
                    column: "4"
                  }, {
                    default: u(() => [
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[20] || (l[20] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[21] || (l[21] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[22] || (l[22] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[23] || (l[23] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[24] || (l[24] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[25] || (l[25] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[26] || (l[26] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[27] || (l[27] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[28] || (l[28] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[29] || (l[29] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[30] || (l[30] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[31] || (l[31] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[32] || (l[32] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[33] || (l[33] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[34] || (l[34] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[35] || (l[35] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[36] || (l[36] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[37] || (l[37] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[38] || (l[38] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[39] || (l[39] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[40] || (l[40] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[41] || (l[41] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[42] || (l[42] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[43] || (l[43] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[44] || (l[44] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[45] || (l[45] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[46] || (l[46] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[47] || (l[47] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[48] || (l[48] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[49] || (l[49] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[50] || (l[50] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[51] || (l[51] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[52] || (l[52] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[53] || (l[53] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[54] || (l[54] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[55] || (l[55] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }),
                  e(r, {
                    title: "我是分组三的标题",
                    column: "4"
                  }, {
                    default: u(() => [
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[56] || (l[56] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[57] || (l[57] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[58] || (l[58] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[59] || (l[59] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[60] || (l[60] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[61] || (l[61] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[62] || (l[62] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[63] || (l[63] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[64] || (l[64] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[65] || (l[65] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[66] || (l[66] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[67] || (l[67] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[68] || (l[68] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[69] || (l[69] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[70] || (l[70] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[71] || (l[71] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[72] || (l[72] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[73] || (l[73] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[74] || (l[74] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[75] || (l[75] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[76] || (l[76] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[77] || (l[77] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[78] || (l[78] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[79] || (l[79] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[80] || (l[80] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[81] || (l[81] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[82] || (l[82] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[83] || (l[83] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[84] || (l[84] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[85] || (l[85] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[86] || (l[86] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[87] || (l[87] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[88] || (l[88] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[89] || (l[89] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[90] || (l[90] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      }),
                      e(o, {
                        label: "表单名称",
                        name: "name"
                      }, {
                        default: u(() => [
                          e(a, {
                            value: n.form.name,
                            "onUpdate:value": l[91] || (l[91] = (m) => n.form.name = m)
                          }, null, 8, ["value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"])
        ]),
        _: 1
      })
    ]),
    anchor: u(() => [
      e(s)
    ]),
    footer: u(() => [
      e(d, {
        type: "primary",
        onClick: p.handSubmit
      }, {
        default: u(() => [
          e(i),
          l[92] || (l[92] = y("提交"))
        ]),
        _: 1
      }, 8, ["onClick"])
    ]),
    _: 1
  }, 8, ["onFooterCallback"]);
}
const L = /* @__PURE__ */ x(S, [["render", N]]);
export {
  L as default
};
